<!DOCTYPE html>
<html lang="fr">

<head>
{% include 'templates/favicon.html' %}
{% include 'templates/global.css.html' %}

  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Horloge interactive</title>
  <link rel="stylesheet" href="css/style.css" />
  <link rel="manifest" href="manifest.json" />
  <link rel="icon" type="image/png" href="icon.png" />
</head>

<body onload="deplacementAiguillesHeureInterne()">
{% include 'templates/widget_back_menu.html' %}

  <div id="conteneur">
    <div id="ligneHaut">
      <!--Boutons pour afficher la licence -->
      <button class="btAide" id="btLicence_id" type="button" onclick="afficherLicence()">
        Licence
      </button>
      <!--Boutons pour afficher l'aide -->
      <button class="btAide" id="btAide_id" type="button" onclick="afficherAide()">
        ?
      </button>
    </div>

    <div id="horloge_id">
      <img class="imageSVG" src="./images/cercle.svg" alt="cercle" id="cercleSVG">
      <canvas id="horloge_canvas_id"></canvas>
      <img class="imageSVG" src="./images/graduations.svg" alt="graduationsSVG" id="graduationsSVG">
      <img class="imageSVG" src="./images/heures_matin.svg" alt="heures_matinSVG" id="heures_matinSVG">
      <img class="imageSVG" src="./images/heures_aprem.svg" alt="heures_apremSVG" id="heures_apremSVG">
      <img class="imageSVG" src="./images/minutes.svg" alt="minutesSVG" id="minutesSVG">
      <img class="imageSVG" src="./images/minutes_moins.svg" alt="minutesMoinsSVG" id="minutesMoinsSVG">
      <img class="imageSVG" src="./images/et_quart.svg" alt="etQuart" id="etQuartSVG">
      <img class="imageSVG" src="./images/et_demie.svg" alt="etDemie" id="etDemieSVG">
      <img class="imageSVG" src="./images/moins_le_quart.svg" alt="moinsLeQuart" id="moinsLeQuartSVG">
      <img class="imageSVG" src="./images/heures_matin_romain.svg" alt="heures_matin_romainSVG"
        id="heures_matin_romainSVG">

      <div class="aiguilles_internes" id="aiguilles_internes_id">
        <div id="aiguille_minutes_id"></div>
        <div id="aiguille_heures_id"></div>
        <div id="aiguille_secondes_id"></div>
      </div>
      <div id="centre"></div>
    </div>

    <div id="colonne_droite_id">
      <!--Bouton pour afficher globalement les parties  -->
      <button class="btAffichageGlobal" id="btAffichageGlobalHeureDigit_id" type="button" data-tooltip="Test"
        onclick="changerAffichageGlobalHeureDigitale(id)">
        Masquer l'heure digitale
      </button>
      <form class="form_console">
        <div id="consoleHeureDigitale_id">
          <div id="cacBoites_id">
            <input class="cacBoites" type="checkbox" id="cacBoiteHeures" name="Affichage" checked
              onChange="basculeAffichage('boite_heures_id')">
            <label class="cacBoites" for="cacBoiteHeures">Heures</label>
            <input class="cacBoites" type="checkbox" id="cacBoiteMinutes" name="Affichage" checked
              onChange="basculeAffichage('boite_minutes_id')">
            <label class="cacBoites" for="cacBoiteMinutes">Minutes</label>
            <input class="cacBoites" type="checkbox" id="cacBoiteSecondes" name="Affichage" checked
              onChange="basculeAffichage('boite_secondes_id')">
            <label class="cacBoites" for="cacBoiteSecondes">Secondes</label>
          </div>
          <div id="horlogeDigitale_id">
            <input type="text" class="boites" id="boite_heures_id" name="boite_heures" min="0" max="23" maxlength="2"
              pattern="[0-9]{2}" STYLE="color:#2987e4;" onchange="actualiser(id)">
            <span style="display: inline; font-size: 300%;">:<span>
                <input type="text" class="boites" id="boite_minutes_id" name="boite_minutes" min="0" max="59"
                  maxlength="2" pattern="[0-9]{2}" STYLE="color:#55d400ff;" onchange="actualiser(id)">
                <span style="display: inline; font-size: 300%;">:<span>
                    <input type="text" class="boites" id="boite_secondes_id" name="boite_secondes" min="0" max="59"
                      maxlength="2" pattern="[0-9]{2}" STYLE="color:#e21c15;" onchange="actualiser(id)">
          </div>
          <div id="heureAleatoire_id">
            <button class="btAffichageGlobal" id="btHeureAleatoire_id" type="button" onclick="lancerHeureAleatoire(id)">
              Hasard
            </button>
          </div>
        </div>
      </form>

      <!--Bouton pour afficher globalement les parties  -->
      <button class="btAffichageGlobal" id="btAffichageGlobalAiguille_id" type="button"
        onclick="changerAffichageGlobalAiguilles(id)">
        Masquer les aiguilles
      </button>
      <form class="form_console">
        <div id="cacAiguilles_id">
          <div class="cacColonne">
            <input type="checkbox" id="cacAiguilleHeures" name="Affichage" checked
              onChange="basculeAffichage('aiguille_heures_id')">
            <label for="cacAiguilleHeures">Aiguille des heures</label>
          </div>
          <div class="cacColonne">
            <input type="checkbox" id="cacAiguilleMinutes" name="Affichage" checked
              onChange="basculeAffichage('aiguille_minutes_id')">
            <label for="cacAiguilleMinutes">Aiguille des minutes</label>
          </div>
          <div class="cacColonne">
            <input type="checkbox" id="cacAiguilleSecondes" name="Affichage" checked
              onChange="basculeAffichage('aiguille_secondes_id')">
            <label for="cacAiguilleSecondes">Aiguille des secondes</label>
          </div>
        </div>
      </form>

      <!--Bouton pour afficher globalement les parties  -->
      <button class="btAffichageGlobal" id="btAffichageGlobalAiguilleManip_id" type="button"
        onclick="changerAffichageGlobalAiguillesManip(id)">
        Masquer les aiguilles manipulables
      </button>
      <form class="form_console">
        <div id="cacAiguillesManip_id">
          <div class="cacColonneManipAiguilles">
            <input type="checkbox" id="cacAiguillesLiées_id" name="Affichage" checked
              onChange="déplacementLiéAiguillesManip()">
            <label for="cacAiguillesLiées_id" style="color: rgb(193, 19, 184);">Aiguilles LIÉES (plus facile)</label>
          </div>
          <div class="cacColonneManipAiguilles">
            <input type="checkbox" id="cacAiguilleManipHeures_id" name="Affichage" checked
              onChange="basculeAffichage('aiguille_manip_heures_id')">
            <label for="cacAiguilleManipHeures_id">Manip aiguille des heures</label>
          </div>
          <div class="cacColonneManipAiguilles">
            <input type="checkbox" id="cacAiguilleManipMinutes_id" name="Affichage" checked
              onChange="basculeAffichage('aiguille_manip_minutes_id')">
            <label for="cacAiguilleManipMinutes_id">Manip aiguille des minutes</label>
          </div>
          <div class="cacColonneManipAiguilles">
            <input type="checkbox" id="cacAiguilleManipSecondes_id" name="Affichage" checked
              onChange="basculeAffichage('aiguille_manip_secondes_id')">
            <label for="cacAiguilleManipSecondes_id">Manip aiguille des secondes</label>
          </div>
        </div>
      </form>

      <!--Boutons pour incrémenter l'horaire en fixant le pas -->
      <div id="consoleIncrementation">
        <form>
          <div class="consoleIncrementation">
            <button class="btIncrement" id="btHeuresMoins_id" type="button" onclick="incrementationHoraire(id)">
              -
            </button>
            <button class="btIncrement" id="btHeuresPlus_id" type="button" onclick="incrementationHoraire(id)">
              +
            </button>
            pas :
            <input type="text" class="pas" id="pas_heures_id" value="1" min="0" max="24" maxlength="2"
              pattern="[0-9]{2}" STYLE="color:#2987e4;" onchange="formatageInput(id)">

          </div>
          <div class="consoleIncrementation">
            <button class="btIncrement" id="btMinutesMoins_id" type="button" onclick="incrementationHoraire(id)">
              -
            </button>
            <button class="btIncrement" id="btMinutesPlus_id" type="button" onclick="incrementationHoraire(id)">
              +
            </button>
            pas :
            <input type="text" class="pas" id="pas_minutes_id" value="1" min="0" max="60" maxlength="2"
              pattern="[0-9]{2}" STYLE="color:#55d400ff;" onchange="formatageInput(id)">
          </div>
          <div class="consoleIncrementation">
            <button class="btIncrement" id="btSecondesMoins_id" type="button" onclick="incrementationHoraire(id)">
              -
            </button>
            <button class="btIncrement" id="btSecondesPlus_id" type="button" onclick="incrementationHoraire(id)">
              +
            </button>
            pas :
            <input type="text" class="pas" id="pas_secondes_id" value="1" min="0" max="60" maxlength="2"
              pattern="[0-9]{2}" STYLE="color:#e21c15;" onchange="formatageInput(id)">

          </div>
        </form>
      </div>

      <!-- Zone pour inscrire les réponses pour l'heure avec les aiguilles -->
      <form id="formReponse_id">
        <fieldset id="fieldsetReponse_id">
          <legend style="font-size: 1.8em;font-weight: bold;"> Donne ta réponse :
            <div id="reponseshorlogeDigitale_id">
              <input type="text" class="boites" id="reponse_boite_heures_id" name="boite_heures" min="0" max="23"
                maxlength="2" pattern="[0-9]{2}" STYLE="color:#2987e4;" onchange="actualiserReponse(id)">
              <span style="display: inline; font-size: 300%;">:<span>
                  <input type="text" class="boites" id="reponse_boite_minutes_id" name="boite_minutes" min="0" max="59"
                    maxlength="2" pattern="[0-9]{2}" STYLE="color:#55d400ff;" onchange="actualiserReponse(id)">
                  <span style="display: inline; font-size: 300%;">:<span>
                      <input type="text" class="boites" id="reponse_boite_secondes_id" name="boite_secondes" min="0"
                        max="59" maxlength="2" pattern="[0-9]{2}" STYLE="color:#e21c15;"
                        onchange="actualiserReponse(id)">
                      <div id="verifierReponse_id">
                        <button class="btAffichageGlobal" id="btVerifierReponse_id" type="button"
                          onclick="verifierReponse(id)">
                          Vérifier
                        </button>
                      </div>
                      <div id="verifierAiguilles_id">
                        <button class="btAffichageGlobal" id="btVerifierAiguilles_id" type="button"
                          onclick="verifierAiguilles(id)">
                          Vérifier
                        </button>
                      </div>
            </div>
          </legend>
        </fieldset>
      </form>
    </div>

     <!-- Zone pour afficher la partie des exercices -->
     <form id="zoneTypeExercice_id">
      <fieldset id="fieldsetExercices_id">
        <legend>Type d'exercices</legend>
        <div class="cac">
        <input type="checkbox" id="cacExoAvecSecondes_id" name="Affichage" checked onChange="affichageDesSecondes()">
        <label id="label_cacExoAvecSecondes_id" for="cacExoAvecSecondes_id">Avec secondes</label>
        <span class="texteInfoBulle">Décochez pour ne pas tenir compte des secondes.</span>
        </div>
        <button id="exType1_id" class="btExercice" data-tooltip="...selon l'heure digitale affichée." type="button"
          onclick="affichageExType1()">
          Placer les aiguilles
        </button>
        <button id="exType2_id" class="btExercice" type="button" onclick="affichageExType2()">
          Retrouver l'heure
        </button>
        <button id="exReset_id" class="btExercice" type="button" onclick="AfficherToutHorlogeInteractive()">
          Tout afficher
        </button>
      </fieldset>
    </form>


    <!-- //////////// Fin de la 3e colonne de droite /////////////////// -->


    <!--Boutons pour afficher ou non l'horloge interactive -->
    <button id="boutonChangeMode" type="button" onclick="changerTypeHorloge()">
      Afficher horloge INTERACTIVE
    </button>


    <!-- Zone pour affichages des différentes parties de l'horloge -->
    <div id="lienAffichageIndications_id">
      <button id="btRéglageIndications_id" onclick="toggleRéglageIndications()">Régler les indications sur l'horloge</button>
    </div>
    <div id="casesAffichage_id">
      <form>
        <fieldset>
          <input type="checkbox" id="cacCercle" name="Affichage" value="cercle" checked
            onChange="basculeAffichageSVG('cercleSVG')">
          <label for="cacCercle">Cercle</label>
          <input type="checkbox" id="cacGraduations" name="Affichage" value="graduations" checked
            onChange="basculeAffichageSVG('graduationsSVG')">
          <label for="cacGraduations">Graduations</label>
          <input type="checkbox" id="cacHeuresMatin" name="Affichage" value="heuresMatin"
            onChange="basculeAffichageHeures('heures_matinSVG')">
          <label for="cacHeuresMatin">Heures du matin</label>
          <input type="checkbox" id="cacHeuresAprem" name="Affichage" value="heuresAprem"
            onChange="basculeAffichageSVG('heures_apremSVG')">
          <label for="cacHeuresAprem">Heures de l'après-midi</label>
          <input type="checkbox" id="cacMinutes" name="Affichage" value="minutes" onChange="basculeAffichageMinutes()">
          <label for="cacMinutes">Minutes</label>
          <div id="affichagesParticuliers">
            <div id="heuresRomain">
              &#x2570;
              <input type="checkbox" id="cacHeuresRomain" name="Affichage" value="heuresRomain"
                onChange="basculeAffichageHeuresRomain('heures_matin_romainSVG')">
              <label for="cacHeuresRomain">Chiffres romains</label>
            </div>
            <div id="minutesMoins">
              &#x2570;
              <input type="checkbox" id="cacMinutesMoins" name="Affichage" value="minutesMoins"
                onChange="basculeAffichageMinutesMoins()">
              <label for="cacMinutesMoins">Moins...</label>
            </div>
          </div>
          <div id="partieCasesQuarts" style="text-align: center;">

            <input type="checkbox" id="cacEtQuart" name="Affichage" value="etQuart"
              onChange="basculeAffichageSVG('etQuartSVG')">
            <label for="cacEtQuart">et quart</label>
            <input type="checkbox" id="cacEtDemie" name="Affichage" value="etDemie"
              onChange="basculeAffichageSVG('etDemieSVG')">
            <label for="cacEtDemie">et demie</label>
            <input type="checkbox" id="cacMoinsLeQuart" name="Affichage" value="moinsLeQuart"
              onChange="basculeAffichageSVG('moinsLeQuartSVG')">
            <label for="cacMoinsLeQuart">moins le quart</label>
          </div>
        </fieldset>
      </form>
      <!-- Boutons pour réinitialiser l'affichage de l'horloge -->
      <button id="btRAZ_horloge_id" type="button" onclick="reinitialiserAffichageHorloge()">
        Réinitialiser l'horloge
      </button>
    </div>


    <!--Texte notice -->
    <div id="noticeModal_id">
      <div id="noticeContenu_id">
        <u><b>Notice</b></u></h1>
        <p style="margin-bottom: 0cm"></p>
        <p style="margin-bottom: 0cm">Cette appliquette web est la reprise en
          html, css et javascript, d’une appliquette flash intitulée
          &quot;horloge interactive&quot; conçue par Patrick Finot dans le
          cadre du projet &quot;Ecolaweb.com&quot;, aujourd'hui disparu.</p>
        <p style="margin-bottom: 0cm">L’idée est de proposer aux
          enseignant⋅es et élèves, une horloge pour aider à
          l’apprentissage de la lecture de l’heure, qui soit projetable sur
          un grand écran type VPI/ENI et intégrable dans Openboard. Elle
          fonctionne aussi sur tablettes (testée sous Android).
          Elle peut être utilisée de nombreuses
          manières en masquant certains éléments&nbsp;: indications sur
          l’horloge, affichage ou non des aiguilles, affichage ou non de
          l’horloge digitale.</p>  
        <p style="margin-bottom: 0cm"></p>
        <p style="margin-bottom: 0cm">Il existe 2 modes d’utilisation&nbsp;:</p>
        <p style="margin-left: 1cm">- un mode &quot;<b>horloge interne</b>&quot;
            qui affiche l’heure actuelle de l’ordinateur sous 2 formes&nbsp;:
            la forme digitale et celle avec des aiguilles. Ici on voit l’heure
            défiler comme sur une horloge ou montre à aiguilles classique.</p>
        <p style="margin-left: 1cm">- un mode &quot;<b>horloge
            interactive</b>&quot; qui affiche une heure fixe que l’on peut
            choisir et sur laquelle on peut agir de différentes manières.</p>
        <p style="margin-bottom: 0cm"></p>      
        <p style="margin-bottom: 0cm">Dans le mode interactif, elle affiche
          en plus des aiguilles manipulables (liées ou indépendantes pour augmenter
          la difficulté) permettant d'agir sur l'horloge pour
          essayer de reproduire par exemple l’heure affichée par l’horloge digitale.
          Il existe 2 modes d'exercices avec vérification de la réponse proposée.</p>
        <p style="margin-bottom: 0cm">Il est aussi possible de procéder à des
          tirages aléatoires d'heures pour s'exercer en appuyant sur le bouton "Hasard".</p>
        <p style="margin-bottom: 0cm">Il est aussi possible d’incrémenter
          les heures, minutes et secondes selon un pas que l’on fixe pour
          voir comment évolue l’heure dans le temps.</p>
        <p style="text-align: right"><button type="button" class="btFermerModal" id="fermerNotice_id">Fermer</button></p>
      </div>
    </div>

    <!--Texte licence -->
    <div id="licenceModal_id">
      <div id="noticeContenu_id">
        <u><b>Licence</b></u></h1>
        <p style="margin-bottom: 0cm"></p>
        <p style="margin-bottom: 0cm">Logiciel créé par Thierry Munoz
          sous Licence GNU General Public Licence v3.0.
          </p>
        <p style="margin-bottom: 0cm"></p>
        <p style="margin-bottom: 0cm"> Les sources sont disponibles ici :
          <a href="https://forge.apps.education.fr/thierrym/horloge-ecole">
            https://forge.apps.education.fr/thierrym/horloge-ecole</a>
        </p>
        <p style="text-align: right"><button type="button" class="btFermerModal" id="fermerLicence_id">Fermer</button></p>
      </div>
    </div>

    <!--Texte réponse bonne -->
    <div id="reponseCorrecteModal_id">
      <div id="reponseCorrecteContenu_id">
        <u><b>Résultat</b></u></h1>
        <p style="margin-bottom: 0cm"></p>
        <p style="margin-bottom: 0cm"> Ceci est une bonne réponse. Bravo !
        <p style="text-align: right"><button type="button" class="btFermerModal" id="fermerReponseCorrecte_id">Fermer</button></p>
      </div>
    </div>
    <!--Texte réponse incorrecte -->
    <div id="reponseErreurModal_id">
      <div id="reponseErreurContenu_id">
        <u><b>Résultat</b></u></h1>
        <p style="margin-bottom: 0cm"></p>
        <p style="margin-bottom: 0.2cm"> Ceci est une réponse incorrecte. Re-essaie.
        <div id="indicationErreurHeures_id">
          Erreur sur l'aiguille des HEURES.
        </div>
        <div id="indicationErreurMinutes_id">
          Erreur sur l'aiguille des MINUTES.
        </div>
        <div id="indicationErreurSecondes_id">
          Erreur sur l'aiguille des SECONDES.
        </div>
        <p style="text-align: right"><button type="button" class="btFermerModal" id="fermerReponseErreur_id">Fermer</button></p>
      </div>
    </div>

    <!-- Script -->
    <script src="js/script.js"></script>
    <script src="js/console_interactive.js"></script>
    <script src="js/notice.js"></script>

  </div>
{% include 'templates/global.js.html' %}
</body>

</html>